using Gateway.Comandos.POSBCTest;
using Serilog;

/// <summary>
/// Instancia directorio de comandos POSBCTest
/// CUIDADO: Distinge los comandos por namespace.
/// </summary>
public class DispensaDirectorioCmdsPOSBCTest : IDispensaDirectorioCmds
{
    /// <summary>
    /// Retorna directorio de comandos instanciado y poblado de
    /// comandos. 
    /// </summary>
    public static CreaDirectorioCmds Dispensa()
    {
        Log.Information("Instancia comandos POSBCTest.");
        return new IniciaDirectorioCmds()
            .AgregaCmd(new InitializeRequestCmd())
        .DirectorioCmds;
    }
}